import { LanguagesService } from '../../../language/application';
import { SchemaState, QueryOptions, Mapping } from 'lambdaorm-base';
import { Executor } from '../../../execution/domain';
export declare class StageIntrospect {
    private readonly executor;
    private readonly schemaState;
    private readonly languages;
    private readonly options;
    constructor(executor: Executor, schemaState: SchemaState, languages: LanguagesService, options: QueryOptions);
    execute(): Promise<Mapping[]>;
    private introspectSource;
    private sourceObjects;
    private introspectEntities;
    private introspectViews;
    private completeEntities;
    private solvePrimaryKeys;
    private solveUniqueKeys;
    private solveIndexes;
    private solveRelations;
    private builder;
}
